-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseOperation

Declaration :

- C++ : class UmlBaseOperation : public UmlClassMember
- Java : abstract class UmlBaseOperation extends UmlClassMember

Directly inherited by : UmlOperation

Manage the class's operations

Artifact : UmlBaseOperation

Operation create

Declaration :

- C++ : public: static UmlOperation * create(UmlClass * parent, const char * s)
- Java : public static UmlOperation create(UmlClass parent, String s) throws RuntimeException

returns a new operation named 's' created under 'parent' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation isAbstract

Declaration :

- C++ : public: bool isAbstract()
- Java : public boolean isAbstract()

indicates if the operation is abstract, returns TRUE if yes

Operation set_isAbstract

Declaration :

- C++ : public: bool set_isAbstract(bool y)
- Java : public void set_isAbstract(boolean y) throws RuntimeException

to set the 'abstract' flag On error return FALSE in C++, produce a RuntimeException in Java

Operation returnType

Declaration :

- C++ : public: const UmlTypeSpec & returnType()
- Java : public UmlTypeSpec returnType()

returns the operation value type

Operation set_ReturnType

Declaration :

- C++ : public: bool set_ReturnType(const UmlTypeSpec & t)
- Java : public void set_ReturnType(UmlTypeSpec t) throws RuntimeException

to set the operation value type On error return FALSE in C++, produce a RuntimeException in Java

Operation params

Declaration :

- C++ : public: const QValueList<UmlParameter> params()
- Java : public UmlParameter[] params()

returns (in java a copy of) the parameters list

Operation addParameter

Declaration :

- C++ : public: bool addParameter(unsigned rank, const UmlParameter & p)
- Java : public void addParameter(int rank, UmlParameter p) throws RuntimeException

adds a parameter at the given rank (0...) On error return FALSE in C++, produce a RuntimeException in Java

Operation removeParameter

Declaration :

- C++ : public: bool removeParameter(unsigned rank)
- Java : public void removeParameter(int rank) throws RuntimeException

remove the parameter of the given rank (0...) On error return FALSE in C++, produce a RuntimeException in Java

Operation replaceParameter

Declaration :

- C++ : public: bool replaceParameter(unsigned rank, const UmlParameter & p)
- Java : public void replaceParameter(int rank, UmlParameter p) throws RuntimeException

replace the parameter at the given rank (0...) On error return FALSE in C++, produce a RuntimeException in Java

Operation exceptions

Declaration :

- C++ : public: const QValueList<UmlTypeSpec> exceptions()
- Java : public UmlTypeSpec[] exceptions()

returns the exceptions

Operation addException

Declaration :

- C++ : public: bool addException(unsigned rank, const UmlTypeSpec & t)
- Java : public void addException(int rank, UmlTypeSpec t) throws RuntimeException

adds the exception at the given rank (0...) On error return FALSE in C++, produce a RuntimeException in Java

Operation removeException

Declaration :

- C++ : public: bool removeException(unsigned rank)
- Java : public void removeException(int rank) throws RuntimeException

remove the exception of the given rank (0...) On error return FALSE in C++, produce a RuntimeException in Java

Operation replaceException

Declaration :

- C++ : public: bool replaceException(unsigned rank, const UmlTypeSpec & t)
- Java : public void replaceException(int rank, UmlTypeSpec t) throws RuntimeException

replaces the exception at the given rank (0...) On error return FALSE in C++, produce a RuntimeException in Java

Operation getOf

Declaration :

- C++ : public: UmlClassMember * getOf()
- Java : public UmlClassMember getOf()

in case the operation is a 'get' operation, returns the associated attribute or relation

Operation setOf

Declaration :

- C++ : public: UmlClassMember * setOf()
- Java : public UmlClassMember setOf()

in case the operation is a 'set' operation, returns the associated attribute or relation

Operation isCppConst

Declaration :

- C++ : public: bool isCppConst()
- Java : public boolean isCppConst()

returns TRUE if the operation is declared const in C++

Operation set_isCppConst

Declaration :

- C++ : public: bool set_isCppConst(bool y)
- Java : public void set_isCppConst(boolean y) throws RuntimeException

to set if the operation is declared const in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation isCppFriend

Declaration :

- C++ : public: bool isCppFriend()
- Java : public boolean isCppFriend()

returns TRUE if the operation is a friend in C++

Operation set_isCppFriend

Declaration :

- C++ : public: bool set_isCppFriend(bool y)
- Java : public void set_isCppFriend(boolean y) throws RuntimeException

to set if the operation is a friend in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation isCppVirtual

Declaration :

- C++ : public: bool isCppVirtual()
- Java : public boolean isCppVirtual()

returns TRUE if the operation is declared virtual in C++

Operation set_isCppVirtual

Declaration :

- C++ : public: bool set_isCppVirtual(bool y)
- Java : public void set_isCppVirtual(boolean y) throws RuntimeException

to set if the operation is declared virtual in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation isCppInline

Declaration :

- C++ : public: bool isCppInline()
- Java : public boolean isCppInline()

returns TRUE if the operation is declared inline in C++

Operation set_isCppInline

Declaration :

- C++ : public: bool set_isCppInline(bool y)
- Java : public void set_isCppInline(boolean y) throws RuntimeException

to set if the operation is declared inline in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation cppDef

Declaration :

- C++ : public: const QCString & cppDef()
- Java : public String cppDef()

returns the operation's definition in C++, notes that the declaration is returned by the inherited ClassItemBase::CppDecl() operation

Operation set_CppDef

Declaration :

- C++ : public: bool set_CppDef(const char * s)
- Java : public void set_CppDef(String s) throws RuntimeException

sets the operation's definition in C++, notes that the declaration is set through the inherited ClassItemBase::set_CppDecl() operation On error return FALSE in C++, produce a RuntimeException in Java

Operation cppBody

Declaration :

- C++ : public: QCString cppBody()
- Java : public String cppBody()

returns the operation's body in C++, useless if the def does not contains $

Operation set_CppBody

Declaration :

- C++ : public: bool set_CppBody(const char * s)
- Java : public void set_CppBody(String s) throws RuntimeException

sets the operation's body in C++, useless if the def does not contains $

Operation cppNameSpec

Declaration :

- C++ : public: const QCString & cppNameSpec()
- Java : public String cppNameSpec()

in case the operation is a 'get' or 'set' operation, returns how the operation's C++ name must be generated

Operation set_CppNameSpec

Declaration :

- C++ : public: bool set_CppNameSpec(const char * s)
- Java : public void set_CppNameSpec(String s) throws RuntimeException

in case the operation is a 'get' or 'set' operation, returns how the operation's C++ name must be generated On error return FALSE in C++, produce a RuntimeException in Java

Operation isJavaFinal

Declaration :

- C++ : public: bool isJavaFinal()
- Java : public boolean isJavaFinal()

returns TRUE if the operation is declared final in JAVA

Operation set_isJavaFinal

Declaration :

- C++ : public: bool set_isJavaFinal(bool y)
- Java : public void set_isJavaFinal(boolean y) throws RuntimeException

to set if the operation is declared final in JAVA On error return FALSE in C++, produce a RuntimeException in Java

Operation isJavaSynchronized

Declaration :

- C++ : public: bool isJavaSynchronized()
- Java : public boolean isJavaSynchronized()

returns TRUE if the operation is declared synchronized in JAVA

Operation set_isJavaSynchronized

Declaration :

- C++ : public: bool set_isJavaSynchronized(bool y)
- Java : public void set_isJavaSynchronized(boolean y) throws RuntimeException

to set if the operation is declared synchronized in JAVA On error return FALSE in C++, produce a RuntimeException in Java

Operation javaDef

Declaration :

- C++ : public: const QCString & javaDef()
- Java : public String javaDef()

returns the operation's definition in Java, notes that it is already made by the inherited JavaDecl operation

Operation set_JavaDef

Declaration :

- C++ : public: bool set_JavaDef(const char * s)
- Java : public void set_JavaDef(String s) throws RuntimeException

sets the operation's definition in Java, notes that it is already made by the inherited set_JavaDecl operation On error return FALSE in C++, produce a RuntimeException in Java

Operation javaBody

Declaration :

- C++ : public: QCString javaBody()
- Java : public String javaBody()

returns the operation's body in Java++, useless if the def does not contains $

Operation set_JavaBody

Declaration :

- C++ : public: bool set_JavaBody(const char * s)
- Java : public void set_JavaBody(String s) throws RuntimeException

sets the operation's body in Java, useless if the def does not contains $

Operation javaNameSpec

Declaration :

- C++ : public: const QCString & javaNameSpec()
- Java : public String javaNameSpec()

in case the operation is a 'get' or 'set' operation, returns how the operation's JAVA name must be generated

Operation set_JavaNameSpec

Declaration :

- C++ : public: bool set_JavaNameSpec(const char * s)
- Java : public void set_JavaNameSpec(String s) throws RuntimeException

in case the operation is a 'get' or 'set' operation, returns how the operation's JAVA name must be generated On error return FALSE in C++, produce a RuntimeException in Java

Operation isIdlOneway

Declaration :

- C++ : public: bool isIdlOneway()
- Java : public boolean isIdlOneway()

returns TRUE if the operation is declared oneway in IDL

Operation set_isIdlOneway

Declaration :

- C++ : public: bool set_isIdlOneway(bool y)
- Java : public void set_isIdlOneway(boolean y) throws RuntimeException

to set if the operation is declared oneway in IDL On error return FALSE in C++, produce a RuntimeException in Java

Operation idlNameSpec

Declaration :

- C++ : public: const QCString & idlNameSpec()
- Java : public String idlNameSpec()

in case the operation is a 'get' or 'set' operation, returns how the operation's IDL name must be generated

Operation set_IdlNameSpec

Declaration :

- C++ : public: bool set_IdlNameSpec(const char * s)
- Java : public void set_IdlNameSpec(String s) throws RuntimeException

in case the operation is a 'get' or 'set' operation, returns how the operation's IDL name must be generated On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically if needed. args unused

Attribut _abstract

Declaration :

- C++ : private: bool _abstract : 1
- Java : private boolean _abstract

Attribut _cpp_const

Declaration :

- C++ : private: bool _cpp_const : 1
- Java : private boolean _cpp_const

Attribut _cpp_friend

Declaration :

- C++ : private: bool _cpp_friend : 1
- Java : private boolean _cpp_friend

Attribut _cpp_virtual

Declaration :

- C++ : private: bool _cpp_virtual : 1
- Java : private boolean _cpp_virtual

Attribut _cpp_inline

Declaration :

- C++ : private: bool _cpp_inline : 1
- Java : private boolean _cpp_inline

Attribut _java_final

Declaration :

- C++ : private: bool _java_final : 1
- Java : private boolean _java_final

Attribut _java_synchronized

Declaration :

- C++ : private: bool _java_synchronized : 1
- Java : private boolean _java_synchronized

Attribut _idl_oneway

Declaration :

- C++ : private: bool _idl_oneway : 1
- Java : private boolean _idl_oneway

Relation _return_type (<directional aggregation by value>)

Declaration :

- C++ : private: UmlTypeSpec _return_type
- Java : private UmlTypeSpec _return_type

Relation _params (<unidirectional association>)

Declaration :

- C++ : private: QValueList<UmlParameter> _params
- Java : private UmlParameter[] _params

Relation _exceptions (<unidirectional association>)

Declaration :

- C++ : private: QValueList<UmlTypeSpec> _exceptions
- Java : private UmlTypeSpec[] _exceptions

Attribut _cpp_def

Declaration :

- C++ : private: QCString _cpp_def
- Java : private String _cpp_def

Attribut _cpp_name_spec

Declaration :

- C++ : private: QCString _cpp_name_spec
- Java : private String _cpp_name_spec

Attribut _java_name_spec

Declaration :

- C++ : private: QCString _java_name_spec
- Java : private String _java_name_spec

Attribut _idl_name_spec

Declaration :

- C++ : private: QCString _idl_name_spec
- Java : private String _idl_name_spec

Relation _get_of (<unidirectional association>)

Declaration :

- C++ : private: UmlClassMember * _get_of
- Java : private UmlClassMember _get_of

exclusive with set_of

Relation _set_of (<unidirectional association>)

Declaration :

- C++ : private: UmlClassMember * _set_of
- Java : private UmlClassMember _set_of

exclusive with get_of

Operation UmlBaseOperation

Declaration :

- C++ : protected: UmlBaseOperation(void * id, const QCString & n)
- Java : protected UmlBaseOperation(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

Operation read_java_

Declaration :

- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

internal, do NOT use it

Operation read_idl_

Declaration :

- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

internal, do NOT use it

All public operations :

addException , addParameter , apply , children , childrenVisible , cppBody , cppDecl , cppDef , cppNameSpec , cppVisibility , create , defined_ , description , exceptions , getOf , identifier_ , idlDecl , idlNameSpec , isAbstract , isClassMember , isCppConst , isCppFriend , isCppInline , isCppVirtual , isIdlOneway , isJavaFinal , isJavaSynchronized , isMarked , isToolRunning , isVolatile , isWritable , javaBody , javaDecl , javaDef , javaNameSpec , kind , kind , markedItems , moveAfter , name , params , parent , properties , propertyValue , referencedBy , removeException , removeParameter , replaceException , replaceParameter , returnType , set_childrenVisible , set_CppBody , set_CppDecl , set_CppDef , set_CppNameSpec , set_CppVisibility , set_Description , set_IdlDecl , set_IdlNameSpec , set_isAbstract , set_isClassMember , set_isCppConst , set_isCppFriend , set_isCppInline , set_isCppVirtual , set_isIdlOneway , set_isJavaFinal , set_isJavaSynchronized , set_isMarked , set_isVolatile , set_JavaBody , set_JavaDecl , set_JavaDef , set_JavaNameSpec , set_Name , set_PropertyValue , set_ReturnType , set_Stereotype , set_Visibility , setOf , stereotype , supportFile , unload , unload , unload , visibility